Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph.session
Enum GraphSession.Authorizer.Action

    java.lang.Object
      java.lang.Enum<GraphSession.Authorizer.Action>
          org.modeshape.graph.session.GraphSession.Authorizer.Action

All Implemented Interfaces:
  Serializable, Comparable<GraphSession.Authorizer.Action>

Enclosing interface:
  GraphSession.Authorizer

    public static enum GraphSession.Authorizer.Action

extends Enum<GraphSession.Authorizer.Action>

Enum Constant Summary
`ADD_NODE`
`READ`
`REMOVE`
`SET_PROPERTY`

Method Summary
`static GraphSession.Authorizer.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GraphSession.Authorizer.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final GraphSession.Authorizer.Action READ

### REMOVE

    public static final GraphSession.Authorizer.Action REMOVE

### ADD_NODE

    public static final GraphSession.Authorizer.Action ADD_NODE

### SET_PROPERTY

    public static final GraphSession.Authorizer.Action SET_PROPERTY

Method Detail

### values

    public static GraphSession.Authorizer.Action[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GraphSession.Authorizer.Action c : GraphSession.Authorizer.Action.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GraphSession.Authorizer.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.